/** @jsx jsx */

import { PropsWithChildren, jsx } from "https://deno.land/x/hono@v4.3.10/middleware.ts"
import { _css } from "../../lib/utils.ts";

export function BasePage({ name, children }: PropsWithChildren<{ name: string }>) {
    return (
        <html lang="en">
            <head>
                <meta charSet="UTF-8"/>
                <title>{name} - Twifeur</title>
                <link rel="stylesheet" href="/static/style.css" />
            </head>
            <body style={_css({
                width: "100%",
                minHeight: "100%",
            })}>
                {children}
            </body>
        </html>
    )
}
